#ifndef Einstellungen_H
#define Einstellungen_H

#include <Fenster.h>
#include <Knopf.h>

using namespace Framework;

class Einstellungen
{
private:
	Fenster *f;
	Knopf *ok;
	int ref;

public:
	// Konstruktor
	Einstellungen( Schrift *zSchrift, Fenster *zF );
	// Destruktor
	~Einstellungen();
	// nicht constant
	void setSichtbar();
	bool schließenME( MausEreignis &me );
	bool okME( MausEreignis &me );
	// Reference Counting
	Einstellungen *getThis();
	Einstellungen *release();
};

// Ereignisse
bool einstellungenSchließenME( void *p, void *obj, MausEreignis me );
bool einstellungenOkME( void *p, void *obj, MausEreignis me );

#endif